import java.awt.Color;

/**
 * Interface to allow any object in the GUI that
 * can be drawn and is locatable
 * @author Barb Ericson ericson@cc.gatech.edu
 * Georgia Tech 2005
 */
public interface Drawable extends Locatable
{
  // method to get the direction this is facing
  public Direction direction();
  public void changeDirection(Direction newDir);
  public Color color();
}